function ulx.fspectate(calling_ply, target_ply)
	if !IsValid(calling_ply) then Msg("You can't spectate from dedicated server console.\n") return end
	FSpectate.startSpectating(calling_ply, target_ply)
end
local fspectate = ulx.command("Utility", "ulx fspectate", ulx.fspectate, "!fspectate")
fspectate:addParam{type=ULib.cmds.PlayerArg, ULib.cmds.optional}
fspectate:defaultAccess(ULib.ACCESS_ADMIN)
fspectate:help("A far more advanced spectating mechanic, which overpowers the default spectate command in a lot of ways.\nThis method of spectating is hard to track for hackers.")